This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 856070 - mounting failed due to deadlock
mounting failed due to deadlock
Status: CLOSED INSUFFICIENT_DATA
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
3.3-beta
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 02:50 EDT by Petr Dufek
Modified: 2013-01-11 03:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 03:00:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (3.41 KB, application/x-gzip)
2012-09-11 02:50 EDT, Petr Dufek
no flags Details

  None (edit)
Description Petr Dufek 2012-09-11 02:50:22 EDT
Created attachment 611667 [details]
logs

Description of problem:
-----------------------
Not possible to mount gluster volume.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
gluster RPMs got from http://bits.gluster.com/pub/gluster/glusterfs/3.3beta2/x86_64
 - glusterfs-core-3.3beta2-1.x86_64.rpm
 - glusterfs-fuse-3.3beta2-1.x86_64.rpm
 - glusterfs-rdma-3.3beta2-1.x86_64.rpm


How reproducible:
-----------------

gluster volume created, info:

Volume Name: hateya-1
Type: Distribute
Volume ID: 6c47d128-0393-4dcd-8a7d-d05f89a38858
Status: Started
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: filer01.qa.lab.tlv.redhat.com:/export/hateya1
Brick2: filer01.qa.lab.tlv.redhat.com:/export/hateya2
Options Reconfigured:
auth.allow: *
nfs.disable: off


then tring:
mount -t glusterfs filer01.qa.lab.tlv.redhat.com:/hateya-1 /tmp/g

got: mount failed, logs from /var/log/glusterfs (full are attached):
[2012-09-10 12:58:37.337596] W [rpc-common.c:64dr_to_generic] (-->/opt/glusterfs/3.3beta2/lib64/libgfrpc.so.0(rpc_clnt_notify+0x8d) [0x7f03463420fd] (-->/opt/glusterfs/3.3beta2/lib64/libgfrpc.so.0(rpc_clnt_handle_reply+0xa2) [0x7f0346341f02] (-->/opt/glusterfs/3.3beta2/sbin/glusterfs(mgmt_getspec_cbk+0x49) [0x4082e9]))) 0-xdr: XDR decoding failed
[2012-09-10 12:58:37.337691] E [glusterfsd-mgmt.c:633:mgmt_getspec_cbk] 0-glusterfs: XDR decoding error
[2012-09-10 12:58:37.337718] E [glusterfsd-mgmt.c:708:mgmt_getspec_cbk] 0-mgmt: failed to fetch volume file (key:/hateya-1)
[2012-09-10 12:58:37.337785] W [glusterfsd.c:750:cleanup_and_exit] (-->/opt/glusterfs/3.3beta2/lib64/libgfrpc.so.0(rpc_clnt_notify+0x8d) [0x7f03463420fd] (-->/opt/glusterfs/3.3beta2/lib64/libgfrpc.so.0(rpc_clnt_handle_reply+0xa2) [0x7f0346341f02] (-->/opt/glusterfs/3.3beta2/sbin/glusterfs(mgmt_getspec_cbk+0x297) [0x408537]))) 0-: received signum (0), shutting down
[2012-09-10 12:58:37.337852] I [fuse-bridge.c:3740:fini] 0-fuse: Unmounting '/tmp/g'.



  
Actual results:
mount failed

Expected results:
mount pass

Additional info:
---------------
Replacing packages with  qa packages: 3.3.0qa45-1.el6 helped and the problem was solved.
Comment 1 Amar Tumballi 2012-09-11 07:13:12 EDT
why use beta? use GA'd 3.3.0 bits or wait for Update2 of RHS (3.3.0.2rhs-30).

Also, the issue is as of now, because of requirement to have same version on clients and server.

Let me know if the issue remains even after upgrading.

-Amar
Comment 2 Amar Tumballi 2012-10-19 00:35:17 EDT
Petr, is there any update on this?
Comment 3 Amar Tumballi 2012-11-29 06:19:45 EST
Petr,

any updates, can we close this bug?

Note You need to log in before you can comment on or make changes to this bug.